Package org.bukkit.plugin

# Class PluginLogger

java.lang.Object
java.util.logging.Logger
org.bukkit.plugin.PluginLogger

public class PluginLogger extends Logger
The PluginLogger class is a modified `Logger` that prepends all logging calls with the name of the plugin doing the logging. The API for PluginLogger is exactly the same as `Logger`.

See Also:
  - `Logger`

## Field Summary

### Fields inherited from class java.util.logging.Logger

`global, GLOBAL_LOGGER_NAME`

## Constructor Summary

Constructors
Constructor
Description
`PluginLogger(@NotNull Plugin context)`
Creates a new PluginLogger that extracts the name from a plugin.

## Method Summary

Modifier and Type
Method
Description
`void`
`log(@NotNull LogRecord logRecord)`

### Methods inherited from class java.util.logging.Logger

`addHandler, config, config, entering, entering, entering, exiting, exiting, fine, fine, finer, finer, finest, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getGlobal, getHandlers, getLevel, getLogger, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, info, isLoggable, log, log, log, log, log, log, logp, logp, logp, logp, logp, logp, logrb, logrb, logrb, logrb, logrb, logrb, logrb, logrb, removeHandler, setFilter, setLevel, setParent, setResourceBundle, setUseParentHandlers, severe, severe, throwing, warning, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginLogger

public PluginLogger(@NotNull @NotNull Plugin context)
Creates a new PluginLogger that extracts the name from a plugin.

Parameters:
  `context` - A reference to the plugin

## Method Details

### log

public void log(@NotNull @NotNull LogRecord logRecord)

Overrides:
  `log` in class `Logger`